##### DILette makefile #####
#
# Created by David Fedor, nothing special but it works.
# Copyright 1996 Apple Computer, Inc.  All rights reserved.
#
# To build DILette, set SRCPATH (below) to the directory of your source files,
# and execute the following commands:
#    make DILette.MPW -f DILette.MPW.make > MakeOut 
#    MakeOut
#
#### update this with the path to your source directory (spaces are probably bad...)
SRCPATH = Innards:DILs:DILette:

OBJECTS = "{SRCPATH}"DILette.c.o

### this says how to compile the .c file...
"{SRCPATH}"DILette.c.o  DILette.MPW.make "{SRCPATH}"DILette.c
	 C -model far -r  "{SRCPATH}"DILette.c


### this links the .o files together...
DILette.MPW  DILette.MPW.make  {OBJECTS}
	Link -model far -t APPL 
		{OBJECTS} 
		"{Libraries}"CPlusLib.o 
		"{CLibraries}"StdClib.o 
 		"{Libraries}"Runtime.o 
 		"{Libraries}"Interface.o 
		"{SRCPATH}"CDIL.MPW.Lib 
		-o DILette.MPW


### these create a .r file from the .rsrc file, and use that .r to create the APPL
"{SRCPATH}"CSTR.r  "{SRCPATH}"CSTR.rsrc
	DeRez "{SRCPATH}"CSTR.rsrc > "{SRCPATH}"CSTR.r
DILette.MPW  "{SRCPATH}"CSTR.r
	Rez -rd -o DILette.MPW "{SRCPATH}"CSTR.r -append
