{===========================================================================================}
{	LlamaTalkCPClose}
{	}
{	Copyright  1994 Apple Computer, Inc.}
{	All rights reserved}
{	}
{	Modification Status}
{	YY/MM/DD	Name				Comments}
{	94/09/12	Jim Schram		Added CodeWarrior support, released as 1.0a4}
{	94/05/04	Jim Schram		Released as 1.0a1}
{	94/03/24	Jim Schram		Initial Development}
{	}
{-------------------------------------------------------------------------------------------------------------}
Unit LlamaTalkCPClose;

Interface

	Uses
		LlamaTalk;

{$MAIN}
	Procedure Main (connHdl: ConnHandle);

Implementation

	Procedure Main (connHdl: ConnHandle);
		Var
			globals: LTGlobalsHdl;
			socket: Short;
	Begin
		globals := LTGlobalsHdl(connHdl^^.refCon);
		socket := connHdl^^.userData;
		With globals^^.fSockets[socket] Do Begin
				fError := fConnHdl^^.errCode;
				Case fError Of
					cmNoErr: 
						fClosePhase := cLTClosePhase3;
					cmTimeout: 
						fClosePhase := cLTClosePhase4;
					Otherwise
						fClosePhase := cLTClosePhaseError;
				End;
			End;
	End;

End.