// Copyright 1995 Apple Computer, Inc.  All rights reserved.

InstallScript := func(partFrame,removeFrame)
begin
	local dataSym := EnsureInternal(kDataSymbol);
	RegDataDef(dataSym, GetLayout("iouDataDef"));
	RegisterViewDef(GetLayout("iouPrintFormat"), dataSym);
	RegisterViewDef(GetLayout("iouNotesViewDef"), dataSym);
	RegisterViewDef(kFrameFormat, dataSym);
end;

RemoveScript := func(removeFrame)
begin
	UnRegisterViewDef('default, kDataSymbol);
	UnRegisterViewDef('iouPrintFormat, kDataSymbol);
	UnRegisterViewDef('IOUFrameFormat, kDataSymbol);
	UnRegDataDef(kDataSymbol);
end
